org.codehaus.groovy.util

## Class DoubleKeyHashMap.Entry

- java.lang.Object
- - org.codehaus.groovy.util.ComplexKeyHashMap.Entry
  - - org.codehaus.groovy.util.DoubleKeyHashMap.Entry

Enclosing class:
  DoubleKeyHashMap

    public static class DoubleKeyHashMap.Entry
    extends ComplexKeyHashMap.Entry

### Field Summary

Fields
`Object` `key1`
`Object` `key2`

### Fields inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry

`hash, next, value`

### Constructor Summary

Constructors
Constructor and Description
`DoubleKeyHashMap.Entry()`

### Method Summary

### Methods inherited from class org.codehaus.groovy.util.ComplexKeyHashMap.Entry

`getValue, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key1

    public Object key1

#### key2

    public Object key2

### Constructor Detail

#### DoubleKeyHashMap.Entry

    public DoubleKeyHashMap.Entry()